using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GameUI : MonoBehaviour {

    static GameUI _inst;

    public static GameUI inst {
        get {
            if(_inst == null) _inst = FindObjectOfType<GameUI>();
            return _inst;
        }
    }

    public Player player;

    public GameObject gameOverGO;
    public GameObject chestUI;

    public void Awake() {
        player.OnPlayerDeathE.AddListener(OnPlayerDeath);
    }

    public void OnPlayerDeath() {
        gameOverGO.SetActive(true);
    }

}
